/* 
 * File:   Keypad.c
 * Author: chengo_cc
 *
 * Created on 11 April 2016, 8:53 AM
 */

#include <stdio.h>
#include <stdlib.h>
#include <pic.h>
//--------------------------------Keypad port-----------------------------------
#define keypadPort     PORTD
#define KeypadPort_dir TRISD
//--------------------------------4 Rows----------------------------------------
#define row0 RD0
#define row1 RD1
#define row2 RD2
#define row3 RD3
//--------------------------------3 Columns-------------------------------------
//NB: RD7 is a "Don't care" bit because it is unused.
/*These codes are used for scanning the columns of the keypad for a Press.
  A Press = LOW (For this design. Alternatively, HIGH can be used if so wished)*/
char column0 = 0x60;              // Column 0 LOW: RD6 = 1 , RD5 = 1 , RD4 = 0
char column1 = 0x50;              // Column 1 LOW: RD6 = 1 , RD5 = 0 , RD4 = 1
char column2 = 0x30;              // Colmun 2 LOW: RD6 = 0 , RD5 = 1 , RD4 = 1
//---------------------------7-Segment Display----------------------------------
#define segmentPort     PORTB
#define segmentPort_dir TRISB
//------------------------------------------------------------------------------
#include "delay.h"
#include "kPad4x3.h"
#include "sevenSegmentDisplay.h"
//------------------------------Common Anode------------------------------------
char segmentCode[12] = {0xF9,0x99,0xF8,0x88, 0xA4,0x92,0x80,0xC0, 0xB0,0x82,0x98,0xC6};
/*                        {1    4    7    A}   {2    5    8    0}   {3    6    9    C}*/
int main(int argc, char** argv)
{
  keypad_init();
  segment_init();

  while(1)
  {
    segment_output( keypad_scan(), segmentCode);
    delay(40);
  }

  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------